Package org.lwjgl.opengl

# Class ContextCapabilities

java.lang.Object
org.lwjgl.opengl.ContextCapabilities

public class ContextCapabilities extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final boolean`
`GL_AMD_blend_minmax_factor`
`final boolean`
`GL_AMD_conservative_depth`
`final boolean`
`GL_AMD_debug_output`
`final boolean`
`GL_AMD_depth_clamp_separate`
`final boolean`
`GL_AMD_draw_buffers_blend`
`final boolean`
`GL_AMD_interleaved_elements`
`final boolean`
`GL_AMD_multi_draw_indirect`
`final boolean`
`GL_AMD_name_gen_delete`
`final boolean`
`GL_AMD_performance_monitor`
`final boolean`
`GL_AMD_pinned_memory`
`final boolean`
`GL_AMD_query_buffer_object`
`final boolean`
`GL_AMD_sample_positions`
`final boolean`
`GL_AMD_seamless_cubemap_per_texture`
`final boolean`
`GL_AMD_shader_atomic_counter_ops`
`final boolean`
`GL_AMD_shader_stencil_export`
`final boolean`
`GL_AMD_shader_trinary_minmax`
`final boolean`
`GL_AMD_sparse_texture`
`final boolean`
`GL_AMD_stencil_operation_extended`
`final boolean`
`GL_AMD_texture_texture4`
`final boolean`
`GL_AMD_transform_feedback3_lines_triangles`
`final boolean`
`GL_AMD_vertex_shader_layer`
`final boolean`
`GL_AMD_vertex_shader_tessellator`
`final boolean`
`GL_AMD_vertex_shader_viewport_index`
`final boolean`
`GL_APPLE_aux_depth_stencil`
`final boolean`
`GL_APPLE_client_storage`
`final boolean`
`GL_APPLE_element_array`
`final boolean`
`GL_APPLE_fence`
`final boolean`
`GL_APPLE_float_pixels`
`final boolean`
`GL_APPLE_flush_buffer_range`
`final boolean`
`GL_APPLE_object_purgeable`
`final boolean`
`GL_APPLE_packed_pixels`
`final boolean`
`GL_APPLE_rgb_422`
`final boolean`
`GL_APPLE_row_bytes`
`final boolean`
`GL_APPLE_texture_range`
`final boolean`
`GL_APPLE_vertex_array_object`
`final boolean`
`GL_APPLE_vertex_array_range`
`final boolean`
`GL_APPLE_vertex_program_evaluators`
`final boolean`
`GL_APPLE_ycbcr_422`
`final boolean`
`GL_ARB_arrays_of_arrays`
`final boolean`
`GL_ARB_base_instance`
`final boolean`
`GL_ARB_bindless_texture`
`final boolean`
`GL_ARB_blend_func_extended`
`final boolean`
`GL_ARB_buffer_storage`
`final boolean`
`GL_ARB_cl_event`
`final boolean`
`GL_ARB_clear_buffer_object`
`final boolean`
`GL_ARB_clear_texture`
`final boolean`
`GL_ARB_clip_control`
`final boolean`
`GL_ARB_color_buffer_float`
`final boolean`
`GL_ARB_compatibility`
`final boolean`
`GL_ARB_compressed_texture_pixel_storage`
`final boolean`
`GL_ARB_compute_shader`
`final boolean`
`GL_ARB_compute_variable_group_size`
`final boolean`
`GL_ARB_conditional_render_inverted`
`final boolean`
`GL_ARB_conservative_depth`
`final boolean`
`GL_ARB_copy_buffer`
`final boolean`
`GL_ARB_copy_image`
`final boolean`
`GL_ARB_cull_distance`
`final boolean`
`GL_ARB_debug_output`
`final boolean`
`GL_ARB_depth_buffer_float`
`final boolean`
`GL_ARB_depth_clamp`
`final boolean`
`GL_ARB_depth_texture`
`final boolean`
`GL_ARB_derivative_control`
`final boolean`
`GL_ARB_direct_state_access`
`final boolean`
`GL_ARB_draw_buffers`
`final boolean`
`GL_ARB_draw_buffers_blend`
`final boolean`
`GL_ARB_draw_elements_base_vertex`
`final boolean`
`GL_ARB_draw_indirect`
`final boolean`
`GL_ARB_draw_instanced`
`final boolean`
`GL_ARB_enhanced_layouts`
`final boolean`
`GL_ARB_ES2_compatibility`
`final boolean`
`GL_ARB_ES3_1_compatibility`
`final boolean`
`GL_ARB_ES3_compatibility`
`final boolean`
`GL_ARB_explicit_attrib_location`
`final boolean`
`GL_ARB_explicit_uniform_location`
`final boolean`
`GL_ARB_fragment_coord_conventions`
`final boolean`
`GL_ARB_fragment_layer_viewport`
`final boolean`
`GL_ARB_fragment_program`
`final boolean`
`GL_ARB_fragment_program_shadow`
`final boolean`
`GL_ARB_fragment_shader`
`final boolean`
`GL_ARB_framebuffer_no_attachments`
`final boolean`
`GL_ARB_framebuffer_object`
`final boolean`
`GL_ARB_framebuffer_sRGB`
`final boolean`
`GL_ARB_geometry_shader4`
`final boolean`
`GL_ARB_get_program_binary`
`final boolean`
`GL_ARB_get_texture_sub_image`
`final boolean`
`GL_ARB_gpu_shader_fp64`
`final boolean`
`GL_ARB_gpu_shader5`
`final boolean`
`GL_ARB_half_float_pixel`
`final boolean`
`GL_ARB_half_float_vertex`
`final boolean`
`GL_ARB_imaging`
`final boolean`
`GL_ARB_indirect_parameters`
`final boolean`
`GL_ARB_instanced_arrays`
`final boolean`
`GL_ARB_internalformat_query`
`final boolean`
`GL_ARB_internalformat_query2`
`final boolean`
`GL_ARB_invalidate_subdata`
`final boolean`
`GL_ARB_map_buffer_alignment`
`final boolean`
`GL_ARB_map_buffer_range`
`final boolean`
`GL_ARB_matrix_palette`
`final boolean`
`GL_ARB_multi_bind`
`final boolean`
`GL_ARB_multi_draw_indirect`
`final boolean`
`GL_ARB_multisample`
`final boolean`
`GL_ARB_multitexture`
`final boolean`
`GL_ARB_occlusion_query`
`final boolean`
`GL_ARB_occlusion_query2`
`final boolean`
`GL_ARB_pipeline_statistics_query`
`final boolean`
`GL_ARB_pixel_buffer_object`
`final boolean`
`GL_ARB_point_parameters`
`final boolean`
`GL_ARB_point_sprite`
`final boolean`
`GL_ARB_program_interface_query`
`final boolean`
`GL_ARB_provoking_vertex`
`final boolean`
`GL_ARB_query_buffer_object`
`final boolean`
`GL_ARB_robust_buffer_access_behavior`
`final boolean`
`GL_ARB_robustness`
`final boolean`
`GL_ARB_robustness_isolation`
`final boolean`
`GL_ARB_sample_shading`
`final boolean`
`GL_ARB_sampler_objects`
`final boolean`
`GL_ARB_seamless_cube_map`
`final boolean`
`GL_ARB_seamless_cubemap_per_texture`
`final boolean`
`GL_ARB_separate_shader_objects`
`final boolean`
`GL_ARB_shader_atomic_counters`
`final boolean`
`GL_ARB_shader_bit_encoding`
`final boolean`
`GL_ARB_shader_draw_parameters`
`final boolean`
`GL_ARB_shader_group_vote`
`final boolean`
`GL_ARB_shader_image_load_store`
`final boolean`
`GL_ARB_shader_image_size`
`final boolean`
`GL_ARB_shader_objects`
`final boolean`
`GL_ARB_shader_precision`
`final boolean`
`GL_ARB_shader_stencil_export`
`final boolean`
`GL_ARB_shader_storage_buffer_object`
`final boolean`
`GL_ARB_shader_subroutine`
`final boolean`
`GL_ARB_shader_texture_image_samples`
`final boolean`
`GL_ARB_shader_texture_lod`
`final boolean`
`GL_ARB_shading_language_100`
`final boolean`
`GL_ARB_shading_language_420pack`
`final boolean`
`GL_ARB_shading_language_include`
`final boolean`
`GL_ARB_shading_language_packing`
`final boolean`
`GL_ARB_shadow`
`final boolean`
`GL_ARB_shadow_ambient`
`final boolean`
`GL_ARB_sparse_buffer`
`final boolean`
`GL_ARB_sparse_texture`
`final boolean`
`GL_ARB_stencil_texturing`
`final boolean`
`GL_ARB_sync`
`final boolean`
`GL_ARB_tessellation_shader`
`final boolean`
`GL_ARB_texture_barrier`
`final boolean`
`GL_ARB_texture_border_clamp`
`final boolean`
`GL_ARB_texture_buffer_object`
`final boolean`
`GL_ARB_texture_buffer_object_rgb32`
`final boolean`
`GL_ARB_texture_buffer_range`
`final boolean`
`GL_ARB_texture_compression`
`final boolean`
`GL_ARB_texture_compression_bptc`
`final boolean`
`GL_ARB_texture_compression_rgtc`
`final boolean`
`GL_ARB_texture_cube_map`
`final boolean`
`GL_ARB_texture_cube_map_array`
`final boolean`
`GL_ARB_texture_env_add`
`final boolean`
`GL_ARB_texture_env_combine`
`final boolean`
`GL_ARB_texture_env_crossbar`
`final boolean`
`GL_ARB_texture_env_dot3`
`final boolean`
`GL_ARB_texture_float`
`final boolean`
`GL_ARB_texture_gather`
`final boolean`
`GL_ARB_texture_mirror_clamp_to_edge`
`final boolean`
`GL_ARB_texture_mirrored_repeat`
`final boolean`
`GL_ARB_texture_multisample`
`final boolean`
`GL_ARB_texture_non_power_of_two`
`final boolean`
`GL_ARB_texture_query_levels`
`final boolean`
`GL_ARB_texture_query_lod`
`final boolean`
`GL_ARB_texture_rectangle`
`final boolean`
`GL_ARB_texture_rg`
`final boolean`
`GL_ARB_texture_rgb10_a2ui`
`final boolean`
`GL_ARB_texture_stencil8`
`final boolean`
`GL_ARB_texture_storage`
`final boolean`
`GL_ARB_texture_storage_multisample`
`final boolean`
`GL_ARB_texture_swizzle`
`final boolean`
`GL_ARB_texture_view`
`final boolean`
`GL_ARB_timer_query`
`final boolean`
`GL_ARB_transform_feedback_instanced`
`final boolean`
`GL_ARB_transform_feedback_overflow_query`
`final boolean`
`GL_ARB_transform_feedback2`
`final boolean`
`GL_ARB_transform_feedback3`
`final boolean`
`GL_ARB_transpose_matrix`
`final boolean`
`GL_ARB_uniform_buffer_object`
`final boolean`
`GL_ARB_vertex_array_bgra`
`final boolean`
`GL_ARB_vertex_array_object`
`final boolean`
`GL_ARB_vertex_attrib_64bit`
`final boolean`
`GL_ARB_vertex_attrib_binding`
`final boolean`
`GL_ARB_vertex_blend`
`final boolean`
`GL_ARB_vertex_buffer_object`
`final boolean`
`GL_ARB_vertex_program`
`final boolean`
`GL_ARB_vertex_shader`
`final boolean`
`GL_ARB_vertex_type_10f_11f_11f_rev`
`final boolean`
`GL_ARB_vertex_type_2_10_10_10_rev`
`final boolean`
`GL_ARB_viewport_array`
`final boolean`
`GL_ARB_window_pos`
`final boolean`
`GL_ATI_draw_buffers`
`final boolean`
`GL_ATI_element_array`
`final boolean`
`GL_ATI_envmap_bumpmap`
`final boolean`
`GL_ATI_fragment_shader`
`final boolean`
`GL_ATI_map_object_buffer`
`final boolean`
`GL_ATI_meminfo`
`final boolean`
`GL_ATI_pn_triangles`
`final boolean`
`GL_ATI_separate_stencil`
`final boolean`
`GL_ATI_shader_texture_lod`
`final boolean`
`GL_ATI_text_fragment_shader`
`final boolean`
`GL_ATI_texture_compression_3dc`
`final boolean`
`GL_ATI_texture_env_combine3`
`final boolean`
`GL_ATI_texture_float`
`final boolean`
`GL_ATI_texture_mirror_once`
`final boolean`
`GL_ATI_vertex_array_object`
`final boolean`
`GL_ATI_vertex_attrib_array_object`
`final boolean`
`GL_ATI_vertex_streams`
`final boolean`
`GL_EXT_abgr`
`final boolean`
`GL_EXT_bgra`
`final boolean`
`GL_EXT_bindable_uniform`
`final boolean`
`GL_EXT_blend_color`
`final boolean`
`GL_EXT_blend_equation_separate`
`final boolean`
`GL_EXT_blend_func_separate`
`final boolean`
`GL_EXT_blend_minmax`
`final boolean`
`GL_EXT_blend_subtract`
`final boolean`
`GL_EXT_Cg_shader`
`final boolean`
`GL_EXT_compiled_vertex_array`
`final boolean`
`GL_EXT_depth_bounds_test`
`final boolean`
`GL_EXT_direct_state_access`
`final boolean`
`GL_EXT_draw_buffers2`
`final boolean`
`GL_EXT_draw_instanced`
`final boolean`
`GL_EXT_draw_range_elements`
`final boolean`
`GL_EXT_fog_coord`
`final boolean`
`GL_EXT_framebuffer_blit`
`final boolean`
`GL_EXT_framebuffer_multisample`
`final boolean`
`GL_EXT_framebuffer_multisample_blit_scaled`
`final boolean`
`GL_EXT_framebuffer_object`
`final boolean`
`GL_EXT_framebuffer_sRGB`
`final boolean`
`GL_EXT_geometry_shader4`
`final boolean`
`GL_EXT_gpu_program_parameters`
`final boolean`
`GL_EXT_gpu_shader4`
`final boolean`
`GL_EXT_multi_draw_arrays`
`final boolean`
`GL_EXT_packed_depth_stencil`
`final boolean`
`GL_EXT_packed_float`
`final boolean`
`GL_EXT_packed_pixels`
`final boolean`
`GL_EXT_paletted_texture`
`final boolean`
`GL_EXT_pixel_buffer_object`
`final boolean`
`GL_EXT_point_parameters`
`final boolean`
`GL_EXT_provoking_vertex`
`final boolean`
`GL_EXT_rescale_normal`
`final boolean`
`GL_EXT_secondary_color`
`final boolean`
`GL_EXT_separate_shader_objects`
`final boolean`
`GL_EXT_separate_specular_color`
`final boolean`
`GL_EXT_shader_image_load_store`
`final boolean`
`GL_EXT_shadow_funcs`
`final boolean`
`GL_EXT_shared_texture_palette`
`final boolean`
`GL_EXT_stencil_clear_tag`
`final boolean`
`GL_EXT_stencil_two_side`
`final boolean`
`GL_EXT_stencil_wrap`
`final boolean`
`GL_EXT_texture_3d`
`final boolean`
`GL_EXT_texture_array`
`final boolean`
`GL_EXT_texture_buffer_object`
`final boolean`
`GL_EXT_texture_compression_latc`
`final boolean`
`GL_EXT_texture_compression_rgtc`
`final boolean`
`GL_EXT_texture_compression_s3tc`
`final boolean`
`GL_EXT_texture_env_combine`
`final boolean`
`GL_EXT_texture_env_dot3`
`final boolean`
`GL_EXT_texture_filter_anisotropic`
`final boolean`
`GL_EXT_texture_integer`
`final boolean`
`GL_EXT_texture_lod_bias`
`final boolean`
`GL_EXT_texture_mirror_clamp`
`final boolean`
`GL_EXT_texture_rectangle`
`final boolean`
`GL_EXT_texture_shared_exponent`
`final boolean`
`GL_EXT_texture_snorm`
`final boolean`
`GL_EXT_texture_sRGB`
`final boolean`
`GL_EXT_texture_sRGB_decode`
`final boolean`
`GL_EXT_texture_swizzle`
`final boolean`
`GL_EXT_timer_query`
`final boolean`
`GL_EXT_transform_feedback`
`final boolean`
`GL_EXT_vertex_array_bgra`
`final boolean`
`GL_EXT_vertex_attrib_64bit`
`final boolean`
`GL_EXT_vertex_shader`
`final boolean`
`GL_EXT_vertex_weighting`
`final boolean`
`GL_GREMEDY_frame_terminator`
`final boolean`
`GL_GREMEDY_string_marker`
`final boolean`
`GL_HP_occlusion_test`
`final boolean`
`GL_IBM_rasterpos_clip`
`final boolean`
`GL_INTEL_map_texture`
`final boolean`
`GL_KHR_context_flush_control`
`final boolean`
`GL_KHR_debug`
`final boolean`
`GL_KHR_robust_buffer_access_behavior`
`final boolean`
`GL_KHR_robustness`
`final boolean`
`GL_KHR_texture_compression_astc_ldr`
`final boolean`
`GL_NV_bindless_multi_draw_indirect`
`final boolean`
`GL_NV_bindless_texture`
`final boolean`
`GL_NV_blend_equation_advanced`
`final boolean`
`GL_NV_blend_square`
`final boolean`
`GL_NV_compute_program5`
`final boolean`
`GL_NV_conditional_render`
`final boolean`
`GL_NV_copy_depth_to_color`
`final boolean`
`GL_NV_copy_image`
`final boolean`
`GL_NV_deep_texture3D`
`final boolean`
`GL_NV_depth_buffer_float`
`final boolean`
`GL_NV_depth_clamp`
`final boolean`
`GL_NV_draw_texture`
`final boolean`
`GL_NV_evaluators`
`final boolean`
`GL_NV_explicit_multisample`
`final boolean`
`GL_NV_fence`
`final boolean`
`GL_NV_float_buffer`
`final boolean`
`GL_NV_fog_distance`
`final boolean`
`GL_NV_fragment_program`
`final boolean`
`GL_NV_fragment_program_option`
`final boolean`
`GL_NV_fragment_program2`
`final boolean`
`GL_NV_fragment_program4`
`final boolean`
`GL_NV_framebuffer_multisample_coverage`
`final boolean`
`GL_NV_geometry_program4`
`final boolean`
`GL_NV_geometry_shader4`
`final boolean`
`GL_NV_gpu_program4`
`final boolean`
`GL_NV_gpu_program5`
`final boolean`
`GL_NV_gpu_program5_mem_extended`
`final boolean`
`GL_NV_gpu_shader5`
`final boolean`
`GL_NV_half_float`
`final boolean`
`GL_NV_light_max_exponent`
`final boolean`
`GL_NV_multisample_coverage`
`final boolean`
`GL_NV_multisample_filter_hint`
`final boolean`
`GL_NV_occlusion_query`
`final boolean`
`GL_NV_packed_depth_stencil`
`final boolean`
`GL_NV_parameter_buffer_object`
`final boolean`
`GL_NV_parameter_buffer_object2`
`final boolean`
`GL_NV_path_rendering`
`final boolean`
`GL_NV_pixel_data_range`
`final boolean`
`GL_NV_point_sprite`
`final boolean`
`GL_NV_present_video`
`final boolean`
`GL_NV_primitive_restart`
`final boolean`
`GL_NV_register_combiners`
`final boolean`
`GL_NV_register_combiners2`
`final boolean`
`GL_NV_shader_atomic_counters`
`final boolean`
`GL_NV_shader_atomic_float`
`final boolean`
`GL_NV_shader_buffer_load`
`final boolean`
`GL_NV_shader_buffer_store`
`final boolean`
`GL_NV_shader_storage_buffer_object`
`final boolean`
`GL_NV_tessellation_program5`
`final boolean`
`GL_NV_texgen_reflection`
`final boolean`
`GL_NV_texture_barrier`
`final boolean`
`GL_NV_texture_compression_vtc`
`final boolean`
`GL_NV_texture_env_combine4`
`final boolean`
`GL_NV_texture_expand_normal`
`final boolean`
`GL_NV_texture_multisample`
`final boolean`
`GL_NV_texture_rectangle`
`final boolean`
`GL_NV_texture_shader`
`final boolean`
`GL_NV_texture_shader2`
`final boolean`
`GL_NV_texture_shader3`
`final boolean`
`GL_NV_transform_feedback`
`final boolean`
`GL_NV_transform_feedback2`
`final boolean`
`GL_NV_vertex_array_range`
`final boolean`
`GL_NV_vertex_array_range2`
`final boolean`
`GL_NV_vertex_attrib_integer_64bit`
`final boolean`
`GL_NV_vertex_buffer_unified_memory`
`final boolean`
`GL_NV_vertex_program`
`final boolean`
`GL_NV_vertex_program1_1`
`final boolean`
`GL_NV_vertex_program2`
`final boolean`
`GL_NV_vertex_program2_option`
`final boolean`
`GL_NV_vertex_program3`
`final boolean`
`GL_NV_vertex_program4`
`final boolean`
`GL_NV_video_capture`
`final boolean`
`GL_NVX_gpu_memory_info`
`final boolean`
`GL_SGIS_generate_mipmap`
`final boolean`
`GL_SGIS_texture_lod`
`final boolean`
`GL_SUN_slice_accum`
`final boolean`
`OpenGL11`
`final boolean`
`OpenGL12`
`final boolean`
`OpenGL13`
`final boolean`
`OpenGL14`
`final boolean`
`OpenGL15`
`final boolean`
`OpenGL20`
`final boolean`
`OpenGL21`
`final boolean`
`OpenGL30`
`final boolean`
`OpenGL31`
`final boolean`
`OpenGL32`
`final boolean`
`OpenGL33`
`final boolean`
`OpenGL40`
`final boolean`
`OpenGL41`
`final boolean`
`OpenGL42`
`final boolean`
`OpenGL43`
`final boolean`
`OpenGL44`
`final boolean`
`OpenGL45`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_AMD_blend_minmax_factor

public final boolean GL_AMD_blend_minmax_factor

### GL_AMD_conservative_depth

public final boolean GL_AMD_conservative_depth

### GL_AMD_debug_output

public final boolean GL_AMD_debug_output

### GL_AMD_depth_clamp_separate

public final boolean GL_AMD_depth_clamp_separate

### GL_AMD_draw_buffers_blend

public final boolean GL_AMD_draw_buffers_blend

### GL_AMD_interleaved_elements

public final boolean GL_AMD_interleaved_elements

### GL_AMD_multi_draw_indirect

public final boolean GL_AMD_multi_draw_indirect

### GL_AMD_name_gen_delete

public final boolean GL_AMD_name_gen_delete

### GL_AMD_performance_monitor

public final boolean GL_AMD_performance_monitor

### GL_AMD_pinned_memory

public final boolean GL_AMD_pinned_memory

### GL_AMD_query_buffer_object

public final boolean GL_AMD_query_buffer_object

### GL_AMD_sample_positions

public final boolean GL_AMD_sample_positions

### GL_AMD_seamless_cubemap_per_texture

public final boolean GL_AMD_seamless_cubemap_per_texture

### GL_AMD_shader_atomic_counter_ops

public final boolean GL_AMD_shader_atomic_counter_ops

### GL_AMD_shader_stencil_export

public final boolean GL_AMD_shader_stencil_export

### GL_AMD_shader_trinary_minmax

public final boolean GL_AMD_shader_trinary_minmax

### GL_AMD_sparse_texture

public final boolean GL_AMD_sparse_texture

### GL_AMD_stencil_operation_extended

public final boolean GL_AMD_stencil_operation_extended

### GL_AMD_texture_texture4

public final boolean GL_AMD_texture_texture4

### GL_AMD_transform_feedback3_lines_triangles

public final boolean GL_AMD_transform_feedback3_lines_triangles

### GL_AMD_vertex_shader_layer

public final boolean GL_AMD_vertex_shader_layer

### GL_AMD_vertex_shader_tessellator

public final boolean GL_AMD_vertex_shader_tessellator

### GL_AMD_vertex_shader_viewport_index

public final boolean GL_AMD_vertex_shader_viewport_index

### GL_APPLE_aux_depth_stencil

public final boolean GL_APPLE_aux_depth_stencil

### GL_APPLE_client_storage

public final boolean GL_APPLE_client_storage

### GL_APPLE_element_array

public final boolean GL_APPLE_element_array

### GL_APPLE_fence

public final boolean GL_APPLE_fence

### GL_APPLE_float_pixels

public final boolean GL_APPLE_float_pixels

### GL_APPLE_flush_buffer_range

public final boolean GL_APPLE_flush_buffer_range

### GL_APPLE_object_purgeable

public final boolean GL_APPLE_object_purgeable

### GL_APPLE_packed_pixels

public final boolean GL_APPLE_packed_pixels

### GL_APPLE_rgb_422

public final boolean GL_APPLE_rgb_422

### GL_APPLE_row_bytes

public final boolean GL_APPLE_row_bytes

### GL_APPLE_texture_range

public final boolean GL_APPLE_texture_range

### GL_APPLE_vertex_array_object

public final boolean GL_APPLE_vertex_array_object

### GL_APPLE_vertex_array_range

public final boolean GL_APPLE_vertex_array_range

### GL_APPLE_vertex_program_evaluators

public final boolean GL_APPLE_vertex_program_evaluators

### GL_APPLE_ycbcr_422

public final boolean GL_APPLE_ycbcr_422

### GL_ARB_ES2_compatibility

public final boolean GL_ARB_ES2_compatibility

### GL_ARB_ES3_1_compatibility

public final boolean GL_ARB_ES3_1_compatibility

### GL_ARB_ES3_compatibility

public final boolean GL_ARB_ES3_compatibility

### GL_ARB_arrays_of_arrays

public final boolean GL_ARB_arrays_of_arrays

### GL_ARB_base_instance

public final boolean GL_ARB_base_instance

### GL_ARB_bindless_texture

public final boolean GL_ARB_bindless_texture

### GL_ARB_blend_func_extended

public final boolean GL_ARB_blend_func_extended

### GL_ARB_buffer_storage

public final boolean GL_ARB_buffer_storage

### GL_ARB_cl_event

public final boolean GL_ARB_cl_event

### GL_ARB_clear_buffer_object

public final boolean GL_ARB_clear_buffer_object

### GL_ARB_clear_texture

public final boolean GL_ARB_clear_texture

### GL_ARB_clip_control

public final boolean GL_ARB_clip_control

### GL_ARB_color_buffer_float

public final boolean GL_ARB_color_buffer_float

### GL_ARB_compatibility

public final boolean GL_ARB_compatibility

### GL_ARB_compressed_texture_pixel_storage

public final boolean GL_ARB_compressed_texture_pixel_storage

### GL_ARB_compute_shader

public final boolean GL_ARB_compute_shader

### GL_ARB_compute_variable_group_size

public final boolean GL_ARB_compute_variable_group_size

### GL_ARB_conditional_render_inverted

public final boolean GL_ARB_conditional_render_inverted

### GL_ARB_conservative_depth

public final boolean GL_ARB_conservative_depth

### GL_ARB_copy_buffer

public final boolean GL_ARB_copy_buffer

### GL_ARB_copy_image

public final boolean GL_ARB_copy_image

### GL_ARB_cull_distance

public final boolean GL_ARB_cull_distance

### GL_ARB_debug_output

public final boolean GL_ARB_debug_output

### GL_ARB_depth_buffer_float

public final boolean GL_ARB_depth_buffer_float

### GL_ARB_depth_clamp

public final boolean GL_ARB_depth_clamp

### GL_ARB_depth_texture

public final boolean GL_ARB_depth_texture

### GL_ARB_derivative_control

public final boolean GL_ARB_derivative_control

### GL_ARB_direct_state_access

public final boolean GL_ARB_direct_state_access

### GL_ARB_draw_buffers

public final boolean GL_ARB_draw_buffers

### GL_ARB_draw_buffers_blend

public final boolean GL_ARB_draw_buffers_blend

### GL_ARB_draw_elements_base_vertex

public final boolean GL_ARB_draw_elements_base_vertex

### GL_ARB_draw_indirect

public final boolean GL_ARB_draw_indirect

### GL_ARB_draw_instanced

public final boolean GL_ARB_draw_instanced

### GL_ARB_enhanced_layouts

public final boolean GL_ARB_enhanced_layouts

### GL_ARB_explicit_attrib_location

public final boolean GL_ARB_explicit_attrib_location

### GL_ARB_explicit_uniform_location

public final boolean GL_ARB_explicit_uniform_location

### GL_ARB_fragment_coord_conventions

public final boolean GL_ARB_fragment_coord_conventions

### GL_ARB_fragment_layer_viewport

public final boolean GL_ARB_fragment_layer_viewport

### GL_ARB_fragment_program

public final boolean GL_ARB_fragment_program

### GL_ARB_fragment_program_shadow

public final boolean GL_ARB_fragment_program_shadow

### GL_ARB_fragment_shader

public final boolean GL_ARB_fragment_shader

### GL_ARB_framebuffer_no_attachments

public final boolean GL_ARB_framebuffer_no_attachments

### GL_ARB_framebuffer_object

public final boolean GL_ARB_framebuffer_object

### GL_ARB_framebuffer_sRGB

public final boolean GL_ARB_framebuffer_sRGB

### GL_ARB_geometry_shader4

public final boolean GL_ARB_geometry_shader4

### GL_ARB_get_program_binary

public final boolean GL_ARB_get_program_binary

### GL_ARB_get_texture_sub_image

public final boolean GL_ARB_get_texture_sub_image

### GL_ARB_gpu_shader5

public final boolean GL_ARB_gpu_shader5

### GL_ARB_gpu_shader_fp64

public final boolean GL_ARB_gpu_shader_fp64

### GL_ARB_half_float_pixel

public final boolean GL_ARB_half_float_pixel

### GL_ARB_half_float_vertex

public final boolean GL_ARB_half_float_vertex

### GL_ARB_imaging

public final boolean GL_ARB_imaging

### GL_ARB_indirect_parameters

public final boolean GL_ARB_indirect_parameters

### GL_ARB_instanced_arrays

public final boolean GL_ARB_instanced_arrays

### GL_ARB_internalformat_query

public final boolean GL_ARB_internalformat_query

### GL_ARB_internalformat_query2

public final boolean GL_ARB_internalformat_query2

### GL_ARB_invalidate_subdata

public final boolean GL_ARB_invalidate_subdata

### GL_ARB_map_buffer_alignment

public final boolean GL_ARB_map_buffer_alignment

### GL_ARB_map_buffer_range

public final boolean GL_ARB_map_buffer_range

### GL_ARB_matrix_palette

public final boolean GL_ARB_matrix_palette

### GL_ARB_multi_bind

public final boolean GL_ARB_multi_bind

### GL_ARB_multi_draw_indirect

public final boolean GL_ARB_multi_draw_indirect

### GL_ARB_multisample

public final boolean GL_ARB_multisample

### GL_ARB_multitexture

public final boolean GL_ARB_multitexture

### GL_ARB_occlusion_query

public final boolean GL_ARB_occlusion_query

### GL_ARB_occlusion_query2

public final boolean GL_ARB_occlusion_query2

### GL_ARB_pipeline_statistics_query

public final boolean GL_ARB_pipeline_statistics_query

### GL_ARB_pixel_buffer_object

public final boolean GL_ARB_pixel_buffer_object

### GL_ARB_point_parameters

public final boolean GL_ARB_point_parameters

### GL_ARB_point_sprite

public final boolean GL_ARB_point_sprite

### GL_ARB_program_interface_query

public final boolean GL_ARB_program_interface_query

### GL_ARB_provoking_vertex

public final boolean GL_ARB_provoking_vertex

### GL_ARB_query_buffer_object

public final boolean GL_ARB_query_buffer_object

### GL_ARB_robust_buffer_access_behavior

public final boolean GL_ARB_robust_buffer_access_behavior

### GL_ARB_robustness

public final boolean GL_ARB_robustness

### GL_ARB_robustness_isolation

public final boolean GL_ARB_robustness_isolation

### GL_ARB_sample_shading

public final boolean GL_ARB_sample_shading

### GL_ARB_sampler_objects

public final boolean GL_ARB_sampler_objects

### GL_ARB_seamless_cube_map

public final boolean GL_ARB_seamless_cube_map

### GL_ARB_seamless_cubemap_per_texture

public final boolean GL_ARB_seamless_cubemap_per_texture

### GL_ARB_separate_shader_objects

public final boolean GL_ARB_separate_shader_objects

### GL_ARB_shader_atomic_counters

public final boolean GL_ARB_shader_atomic_counters

### GL_ARB_shader_bit_encoding

public final boolean GL_ARB_shader_bit_encoding

### GL_ARB_shader_draw_parameters

public final boolean GL_ARB_shader_draw_parameters

### GL_ARB_shader_group_vote

public final boolean GL_ARB_shader_group_vote

### GL_ARB_shader_image_load_store

public final boolean GL_ARB_shader_image_load_store

### GL_ARB_shader_image_size

public final boolean GL_ARB_shader_image_size

### GL_ARB_shader_objects

public final boolean GL_ARB_shader_objects

### GL_ARB_shader_precision

public final boolean GL_ARB_shader_precision

### GL_ARB_shader_stencil_export

public final boolean GL_ARB_shader_stencil_export

### GL_ARB_shader_storage_buffer_object

public final boolean GL_ARB_shader_storage_buffer_object

### GL_ARB_shader_subroutine

public final boolean GL_ARB_shader_subroutine

### GL_ARB_shader_texture_image_samples

public final boolean GL_ARB_shader_texture_image_samples

### GL_ARB_shader_texture_lod

public final boolean GL_ARB_shader_texture_lod

### GL_ARB_shading_language_100

public final boolean GL_ARB_shading_language_100

### GL_ARB_shading_language_420pack

public final boolean GL_ARB_shading_language_420pack

### GL_ARB_shading_language_include

public final boolean GL_ARB_shading_language_include

### GL_ARB_shading_language_packing

public final boolean GL_ARB_shading_language_packing

### GL_ARB_shadow

public final boolean GL_ARB_shadow

### GL_ARB_shadow_ambient

public final boolean GL_ARB_shadow_ambient

### GL_ARB_sparse_buffer

public final boolean GL_ARB_sparse_buffer

### GL_ARB_sparse_texture

public final boolean GL_ARB_sparse_texture

### GL_ARB_stencil_texturing

public final boolean GL_ARB_stencil_texturing

### GL_ARB_sync

public final boolean GL_ARB_sync

### GL_ARB_tessellation_shader

public final boolean GL_ARB_tessellation_shader

### GL_ARB_texture_barrier

public final boolean GL_ARB_texture_barrier

### GL_ARB_texture_border_clamp

public final boolean GL_ARB_texture_border_clamp

### GL_ARB_texture_buffer_object

public final boolean GL_ARB_texture_buffer_object

### GL_ARB_texture_buffer_object_rgb32

public final boolean GL_ARB_texture_buffer_object_rgb32

### GL_ARB_texture_buffer_range

public final boolean GL_ARB_texture_buffer_range

### GL_ARB_texture_compression

public final boolean GL_ARB_texture_compression

### GL_ARB_texture_compression_bptc

public final boolean GL_ARB_texture_compression_bptc

### GL_ARB_texture_compression_rgtc

public final boolean GL_ARB_texture_compression_rgtc

### GL_ARB_texture_cube_map

public final boolean GL_ARB_texture_cube_map

### GL_ARB_texture_cube_map_array

public final boolean GL_ARB_texture_cube_map_array

### GL_ARB_texture_env_add

public final boolean GL_ARB_texture_env_add

### GL_ARB_texture_env_combine

public final boolean GL_ARB_texture_env_combine

### GL_ARB_texture_env_crossbar

public final boolean GL_ARB_texture_env_crossbar

### GL_ARB_texture_env_dot3

public final boolean GL_ARB_texture_env_dot3

### GL_ARB_texture_float

public final boolean GL_ARB_texture_float

### GL_ARB_texture_gather

public final boolean GL_ARB_texture_gather

### GL_ARB_texture_mirror_clamp_to_edge

public final boolean GL_ARB_texture_mirror_clamp_to_edge

### GL_ARB_texture_mirrored_repeat

public final boolean GL_ARB_texture_mirrored_repeat

### GL_ARB_texture_multisample

public final boolean GL_ARB_texture_multisample

### GL_ARB_texture_non_power_of_two

public final boolean GL_ARB_texture_non_power_of_two

### GL_ARB_texture_query_levels

public final boolean GL_ARB_texture_query_levels

### GL_ARB_texture_query_lod

public final boolean GL_ARB_texture_query_lod

### GL_ARB_texture_rectangle

public final boolean GL_ARB_texture_rectangle

### GL_ARB_texture_rg

public final boolean GL_ARB_texture_rg

### GL_ARB_texture_rgb10_a2ui

public final boolean GL_ARB_texture_rgb10_a2ui

### GL_ARB_texture_stencil8

public final boolean GL_ARB_texture_stencil8

### GL_ARB_texture_storage

public final boolean GL_ARB_texture_storage

### GL_ARB_texture_storage_multisample

public final boolean GL_ARB_texture_storage_multisample

### GL_ARB_texture_swizzle

public final boolean GL_ARB_texture_swizzle

### GL_ARB_texture_view

public final boolean GL_ARB_texture_view

### GL_ARB_timer_query

public final boolean GL_ARB_timer_query

### GL_ARB_transform_feedback2

public final boolean GL_ARB_transform_feedback2

### GL_ARB_transform_feedback3

public final boolean GL_ARB_transform_feedback3

### GL_ARB_transform_feedback_instanced

public final boolean GL_ARB_transform_feedback_instanced

### GL_ARB_transform_feedback_overflow_query

public final boolean GL_ARB_transform_feedback_overflow_query

### GL_ARB_transpose_matrix

public final boolean GL_ARB_transpose_matrix

### GL_ARB_uniform_buffer_object

public final boolean GL_ARB_uniform_buffer_object

### GL_ARB_vertex_array_bgra

public final boolean GL_ARB_vertex_array_bgra

### GL_ARB_vertex_array_object

public final boolean GL_ARB_vertex_array_object

### GL_ARB_vertex_attrib_64bit

public final boolean GL_ARB_vertex_attrib_64bit

### GL_ARB_vertex_attrib_binding

public final boolean GL_ARB_vertex_attrib_binding

### GL_ARB_vertex_blend

public final boolean GL_ARB_vertex_blend

### GL_ARB_vertex_buffer_object

public final boolean GL_ARB_vertex_buffer_object

### GL_ARB_vertex_program

public final boolean GL_ARB_vertex_program

### GL_ARB_vertex_shader

public final boolean GL_ARB_vertex_shader

### GL_ARB_vertex_type_10f_11f_11f_rev

public final boolean GL_ARB_vertex_type_10f_11f_11f_rev

### GL_ARB_vertex_type_2_10_10_10_rev

public final boolean GL_ARB_vertex_type_2_10_10_10_rev

### GL_ARB_viewport_array

public final boolean GL_ARB_viewport_array

### GL_ARB_window_pos

public final boolean GL_ARB_window_pos

### GL_ATI_draw_buffers

public final boolean GL_ATI_draw_buffers

### GL_ATI_element_array

public final boolean GL_ATI_element_array

### GL_ATI_envmap_bumpmap

public final boolean GL_ATI_envmap_bumpmap

### GL_ATI_fragment_shader

public final boolean GL_ATI_fragment_shader

### GL_ATI_map_object_buffer

public final boolean GL_ATI_map_object_buffer

### GL_ATI_meminfo

public final boolean GL_ATI_meminfo

### GL_ATI_pn_triangles

public final boolean GL_ATI_pn_triangles

### GL_ATI_separate_stencil

public final boolean GL_ATI_separate_stencil

### GL_ATI_shader_texture_lod

public final boolean GL_ATI_shader_texture_lod

### GL_ATI_text_fragment_shader

public final boolean GL_ATI_text_fragment_shader

### GL_ATI_texture_compression_3dc

public final boolean GL_ATI_texture_compression_3dc

### GL_ATI_texture_env_combine3

public final boolean GL_ATI_texture_env_combine3

### GL_ATI_texture_float

public final boolean GL_ATI_texture_float

### GL_ATI_texture_mirror_once

public final boolean GL_ATI_texture_mirror_once

### GL_ATI_vertex_array_object

public final boolean GL_ATI_vertex_array_object

### GL_ATI_vertex_attrib_array_object

public final boolean GL_ATI_vertex_attrib_array_object

### GL_ATI_vertex_streams

public final boolean GL_ATI_vertex_streams

### GL_EXT_Cg_shader

public final boolean GL_EXT_Cg_shader

### GL_EXT_abgr

public final boolean GL_EXT_abgr

### GL_EXT_bgra

public final boolean GL_EXT_bgra

### GL_EXT_bindable_uniform

public final boolean GL_EXT_bindable_uniform

### GL_EXT_blend_color

public final boolean GL_EXT_blend_color

### GL_EXT_blend_equation_separate

public final boolean GL_EXT_blend_equation_separate

### GL_EXT_blend_func_separate

public final boolean GL_EXT_blend_func_separate

### GL_EXT_blend_minmax

public final boolean GL_EXT_blend_minmax

### GL_EXT_blend_subtract

public final boolean GL_EXT_blend_subtract

### GL_EXT_compiled_vertex_array

public final boolean GL_EXT_compiled_vertex_array

### GL_EXT_depth_bounds_test

public final boolean GL_EXT_depth_bounds_test

### GL_EXT_direct_state_access

public final boolean GL_EXT_direct_state_access

### GL_EXT_draw_buffers2

public final boolean GL_EXT_draw_buffers2

### GL_EXT_draw_instanced

public final boolean GL_EXT_draw_instanced

### GL_EXT_draw_range_elements

public final boolean GL_EXT_draw_range_elements

### GL_EXT_fog_coord

public final boolean GL_EXT_fog_coord

### GL_EXT_framebuffer_blit

public final boolean GL_EXT_framebuffer_blit

### GL_EXT_framebuffer_multisample

public final boolean GL_EXT_framebuffer_multisample

### GL_EXT_framebuffer_multisample_blit_scaled

public final boolean GL_EXT_framebuffer_multisample_blit_scaled

### GL_EXT_framebuffer_object

public final boolean GL_EXT_framebuffer_object

### GL_EXT_framebuffer_sRGB

public final boolean GL_EXT_framebuffer_sRGB

### GL_EXT_geometry_shader4

public final boolean GL_EXT_geometry_shader4

### GL_EXT_gpu_program_parameters

public final boolean GL_EXT_gpu_program_parameters

### GL_EXT_gpu_shader4

public final boolean GL_EXT_gpu_shader4

### GL_EXT_multi_draw_arrays

public final boolean GL_EXT_multi_draw_arrays

### GL_EXT_packed_depth_stencil

public final boolean GL_EXT_packed_depth_stencil

### GL_EXT_packed_float

public final boolean GL_EXT_packed_float

### GL_EXT_packed_pixels

public final boolean GL_EXT_packed_pixels

### GL_EXT_paletted_texture

public final boolean GL_EXT_paletted_texture

### GL_EXT_pixel_buffer_object

public final boolean GL_EXT_pixel_buffer_object

### GL_EXT_point_parameters

public final boolean GL_EXT_point_parameters

### GL_EXT_provoking_vertex

public final boolean GL_EXT_provoking_vertex

### GL_EXT_rescale_normal

public final boolean GL_EXT_rescale_normal

### GL_EXT_secondary_color

public final boolean GL_EXT_secondary_color

### GL_EXT_separate_shader_objects

public final boolean GL_EXT_separate_shader_objects

### GL_EXT_separate_specular_color

public final boolean GL_EXT_separate_specular_color

### GL_EXT_shader_image_load_store

public final boolean GL_EXT_shader_image_load_store

### GL_EXT_shadow_funcs

public final boolean GL_EXT_shadow_funcs

### GL_EXT_shared_texture_palette

public final boolean GL_EXT_shared_texture_palette

### GL_EXT_stencil_clear_tag

public final boolean GL_EXT_stencil_clear_tag

### GL_EXT_stencil_two_side

public final boolean GL_EXT_stencil_two_side

### GL_EXT_stencil_wrap

public final boolean GL_EXT_stencil_wrap

### GL_EXT_texture_3d

public final boolean GL_EXT_texture_3d

### GL_EXT_texture_array

public final boolean GL_EXT_texture_array

### GL_EXT_texture_buffer_object

public final boolean GL_EXT_texture_buffer_object

### GL_EXT_texture_compression_latc

public final boolean GL_EXT_texture_compression_latc

### GL_EXT_texture_compression_rgtc

public final boolean GL_EXT_texture_compression_rgtc

### GL_EXT_texture_compression_s3tc

public final boolean GL_EXT_texture_compression_s3tc

### GL_EXT_texture_env_combine

public final boolean GL_EXT_texture_env_combine

### GL_EXT_texture_env_dot3

public final boolean GL_EXT_texture_env_dot3

### GL_EXT_texture_filter_anisotropic

public final boolean GL_EXT_texture_filter_anisotropic

### GL_EXT_texture_integer

public final boolean GL_EXT_texture_integer

### GL_EXT_texture_lod_bias

public final boolean GL_EXT_texture_lod_bias

### GL_EXT_texture_mirror_clamp

public final boolean GL_EXT_texture_mirror_clamp

### GL_EXT_texture_rectangle

public final boolean GL_EXT_texture_rectangle

### GL_EXT_texture_sRGB

public final boolean GL_EXT_texture_sRGB

### GL_EXT_texture_sRGB_decode

public final boolean GL_EXT_texture_sRGB_decode

### GL_EXT_texture_shared_exponent

public final boolean GL_EXT_texture_shared_exponent

### GL_EXT_texture_snorm

public final boolean GL_EXT_texture_snorm

### GL_EXT_texture_swizzle

public final boolean GL_EXT_texture_swizzle

### GL_EXT_timer_query

public final boolean GL_EXT_timer_query

### GL_EXT_transform_feedback

public final boolean GL_EXT_transform_feedback

### GL_EXT_vertex_array_bgra

public final boolean GL_EXT_vertex_array_bgra

### GL_EXT_vertex_attrib_64bit

public final boolean GL_EXT_vertex_attrib_64bit

### GL_EXT_vertex_shader

public final boolean GL_EXT_vertex_shader

### GL_EXT_vertex_weighting

public final boolean GL_EXT_vertex_weighting

### OpenGL11

public final boolean OpenGL11

### OpenGL12

public final boolean OpenGL12

### OpenGL13

public final boolean OpenGL13

### OpenGL14

public final boolean OpenGL14

### OpenGL15

public final boolean OpenGL15

### OpenGL20

public final boolean OpenGL20

### OpenGL21

public final boolean OpenGL21

### OpenGL30

public final boolean OpenGL30

### OpenGL31

public final boolean OpenGL31

### OpenGL32

public final boolean OpenGL32

### OpenGL33

public final boolean OpenGL33

### OpenGL40

public final boolean OpenGL40

### OpenGL41

public final boolean OpenGL41

### OpenGL42

public final boolean OpenGL42

### OpenGL43

public final boolean OpenGL43

### OpenGL44

public final boolean OpenGL44

### OpenGL45

public final boolean OpenGL45

### GL_GREMEDY_frame_terminator

public final boolean GL_GREMEDY_frame_terminator

### GL_GREMEDY_string_marker

public final boolean GL_GREMEDY_string_marker

### GL_HP_occlusion_test

public final boolean GL_HP_occlusion_test

### GL_IBM_rasterpos_clip

public final boolean GL_IBM_rasterpos_clip

### GL_INTEL_map_texture

public final boolean GL_INTEL_map_texture

### GL_KHR_context_flush_control

public final boolean GL_KHR_context_flush_control

### GL_KHR_debug

public final boolean GL_KHR_debug

### GL_KHR_robust_buffer_access_behavior

public final boolean GL_KHR_robust_buffer_access_behavior

### GL_KHR_robustness

public final boolean GL_KHR_robustness

### GL_KHR_texture_compression_astc_ldr

public final boolean GL_KHR_texture_compression_astc_ldr

### GL_NVX_gpu_memory_info

public final boolean GL_NVX_gpu_memory_info

### GL_NV_bindless_multi_draw_indirect

public final boolean GL_NV_bindless_multi_draw_indirect

### GL_NV_bindless_texture

public final boolean GL_NV_bindless_texture

### GL_NV_blend_equation_advanced

public final boolean GL_NV_blend_equation_advanced

### GL_NV_blend_square

public final boolean GL_NV_blend_square

### GL_NV_compute_program5

public final boolean GL_NV_compute_program5

### GL_NV_conditional_render

public final boolean GL_NV_conditional_render

### GL_NV_copy_depth_to_color

public final boolean GL_NV_copy_depth_to_color

### GL_NV_copy_image

public final boolean GL_NV_copy_image

### GL_NV_deep_texture3D

public final boolean GL_NV_deep_texture3D

### GL_NV_depth_buffer_float

public final boolean GL_NV_depth_buffer_float

### GL_NV_depth_clamp

public final boolean GL_NV_depth_clamp

### GL_NV_draw_texture

public final boolean GL_NV_draw_texture

### GL_NV_evaluators

public final boolean GL_NV_evaluators

### GL_NV_explicit_multisample

public final boolean GL_NV_explicit_multisample

### GL_NV_fence

public final boolean GL_NV_fence

### GL_NV_float_buffer

public final boolean GL_NV_float_buffer

### GL_NV_fog_distance

public final boolean GL_NV_fog_distance

### GL_NV_fragment_program

public final boolean GL_NV_fragment_program

### GL_NV_fragment_program2

public final boolean GL_NV_fragment_program2

### GL_NV_fragment_program4

public final boolean GL_NV_fragment_program4

### GL_NV_fragment_program_option

public final boolean GL_NV_fragment_program_option

### GL_NV_framebuffer_multisample_coverage

public final boolean GL_NV_framebuffer_multisample_coverage

### GL_NV_geometry_program4

public final boolean GL_NV_geometry_program4

### GL_NV_geometry_shader4

public final boolean GL_NV_geometry_shader4

### GL_NV_gpu_program4

public final boolean GL_NV_gpu_program4

### GL_NV_gpu_program5

public final boolean GL_NV_gpu_program5

### GL_NV_gpu_program5_mem_extended

public final boolean GL_NV_gpu_program5_mem_extended

### GL_NV_gpu_shader5

public final boolean GL_NV_gpu_shader5

### GL_NV_half_float

public final boolean GL_NV_half_float

### GL_NV_light_max_exponent

public final boolean GL_NV_light_max_exponent

### GL_NV_multisample_coverage

public final boolean GL_NV_multisample_coverage

### GL_NV_multisample_filter_hint

public final boolean GL_NV_multisample_filter_hint

### GL_NV_occlusion_query

public final boolean GL_NV_occlusion_query

### GL_NV_packed_depth_stencil

public final boolean GL_NV_packed_depth_stencil

### GL_NV_parameter_buffer_object

public final boolean GL_NV_parameter_buffer_object

### GL_NV_parameter_buffer_object2

public final boolean GL_NV_parameter_buffer_object2

### GL_NV_path_rendering

public final boolean GL_NV_path_rendering

### GL_NV_pixel_data_range

public final boolean GL_NV_pixel_data_range

### GL_NV_point_sprite

public final boolean GL_NV_point_sprite

### GL_NV_present_video

public final boolean GL_NV_present_video

### GL_NV_primitive_restart

public final boolean GL_NV_primitive_restart

### GL_NV_register_combiners

public final boolean GL_NV_register_combiners

### GL_NV_register_combiners2

public final boolean GL_NV_register_combiners2

### GL_NV_shader_atomic_counters

public final boolean GL_NV_shader_atomic_counters

### GL_NV_shader_atomic_float

public final boolean GL_NV_shader_atomic_float

### GL_NV_shader_buffer_load

public final boolean GL_NV_shader_buffer_load

### GL_NV_shader_buffer_store

public final boolean GL_NV_shader_buffer_store

### GL_NV_shader_storage_buffer_object

public final boolean GL_NV_shader_storage_buffer_object

### GL_NV_tessellation_program5

public final boolean GL_NV_tessellation_program5

### GL_NV_texgen_reflection

public final boolean GL_NV_texgen_reflection

### GL_NV_texture_barrier

public final boolean GL_NV_texture_barrier

### GL_NV_texture_compression_vtc

public final boolean GL_NV_texture_compression_vtc

### GL_NV_texture_env_combine4

public final boolean GL_NV_texture_env_combine4

### GL_NV_texture_expand_normal

public final boolean GL_NV_texture_expand_normal

### GL_NV_texture_multisample

public final boolean GL_NV_texture_multisample

### GL_NV_texture_rectangle

public final boolean GL_NV_texture_rectangle

### GL_NV_texture_shader

public final boolean GL_NV_texture_shader

### GL_NV_texture_shader2

public final boolean GL_NV_texture_shader2

### GL_NV_texture_shader3

public final boolean GL_NV_texture_shader3

### GL_NV_transform_feedback

public final boolean GL_NV_transform_feedback

### GL_NV_transform_feedback2

public final boolean GL_NV_transform_feedback2

### GL_NV_vertex_array_range

public final boolean GL_NV_vertex_array_range

### GL_NV_vertex_array_range2

public final boolean GL_NV_vertex_array_range2

### GL_NV_vertex_attrib_integer_64bit

public final boolean GL_NV_vertex_attrib_integer_64bit

### GL_NV_vertex_buffer_unified_memory

public final boolean GL_NV_vertex_buffer_unified_memory

### GL_NV_vertex_program

public final boolean GL_NV_vertex_program

### GL_NV_vertex_program1_1

public final boolean GL_NV_vertex_program1_1

### GL_NV_vertex_program2

public final boolean GL_NV_vertex_program2

### GL_NV_vertex_program2_option

public final boolean GL_NV_vertex_program2_option

### GL_NV_vertex_program3

public final boolean GL_NV_vertex_program3

### GL_NV_vertex_program4

public final boolean GL_NV_vertex_program4

### GL_NV_video_capture

public final boolean GL_NV_video_capture

### GL_SGIS_generate_mipmap

public final boolean GL_SGIS_generate_mipmap

### GL_SGIS_texture_lod

public final boolean GL_SGIS_texture_lod

### GL_SUN_slice_accum

public final boolean GL_SUN_slice_accum